Subject: Re: [homenet] Moving forward.

From: "Hemant Singh (shemant)" <[email-masked]>
Date: Tue, 28 Jul 2015 23:06:19 +0000

-----Original Message-----
From: Gert Doering [mailto:[email-masked]] 
Sent: Tuesday, July 28, 2015 4:39 AM
To: Hemant Singh (shemant)
Cc: Pierre Pfister; Pascal Thubert (pthubert); Ted Lemon; HOMENET; Terry Manderson; Gert Doering; Dino Farinacci; Mikael Abrahamsson
Subject: Re: [homenet] Moving forward.

>This is a totally idiotic idea.

>Sorry to be so blunt, but there is NOTHING to be gained by insisting on "we must use IS-IS somewhere! we'll look long and hard to find a niche where it works, and hammer it in there!".

>Running two different routing protocols in the *homenet* means "totally not understanding what homenet is about".  This is not a managed environment, with Big Name Router Vendors and Big Brains >Routing Code Guys creating products, but *HOME*.  With CPE vendors involved.

When I and others developed the IPv6 CE router RFC in v6ops, our clear mandate was to support both managed an un-managed modes in the CE router.  If the current focus of homenet folks replying to this thread is the un-managed or retail CE router, that is fine.  But why is a managed CE not a goal for the homenet?  A SP can send configuration that can be recursively sent to downstream nodes in the LAN using, say, the DHCPv6 server in the CE.   This discussion has already said a wifi mesh network is expected in the home.   Well, a wired mesh can also be expected in the home.   I would best debug issues is each separate mesh separately and that is why I mentioned the routed domains.   By all means, both routed domains can use Babel.   The IPv6 CE router already has two routed domains in the WAN and the LAN. 

Thus there is a requirement (f) support managed mode of the IPv6 CE router and its routing in the LAN.   A managed IPV6 CE router is likely to do better than the retail device. 

Hemant